# RPM specfile for libunicode module
# Generated Wed Apr  3 21:44:56 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.10 2002/04/01 22:11:01 dobey Exp $

%define nam	libunicode
%define ver	0.4.gnome
%define ximrev	4

Name:     	libunicode0
Version: 	0.4.gnome
Release:	ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Source0:	libunicode-0.4.gnome.tar.gz
Summary:	The GNOME Unicode library.
Group:		System/Libraries
Provides:	libunicode
Provides:	ximian-libunicode0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
libunicode is a library for manipulating Unicode characters and
strings.  It understands both the UTF-8 and UCS-2 encodings, and has a
framework for adding support for new encodings.

%files
%defattr(-, root, root)
/usr/lib/*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libunicode0-devel
Summary:	The GNOME Unicode library - development files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	libunicode-devel = %{PACKAGE_VERSION}
Provides:	ximian-libunicode0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libunicode0-devel
libunicode is a library for manipulating Unicode characters and
strings.  It understands both the UTF-8 and UCS-2 encodings, and has a
framework for adding support for new encodings.

%files -n libunicode0-devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/*a
/usr/lib/*so
/usr/lib/unicodeConf.sh
/usr/bin/unicode-config


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libunicode-0.4
    ;;
all)
%setup  -q -n libunicode-0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 3 2002 Ximian, Inc.

- Version: 0.4.gnome-ximian.4
- Summary: New build.
- New automated build.

